Bug 1323266 - notmuch: Provide a Python 3 subpackage
Summary: notmuch: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: notmuch
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-01 16:22 UTC by Tomas Orsava
Modified: 2016-09-20 02:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 16:43:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Orsava 2016-04-01 16:22:04 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Ralph Bean 2016-04-04 16:43:41 UTC
Fixed in rawhide

Comment 3 Tomas Orsava 2016-04-05 09:03:30 UTC
Looks good!

Just one thing, I believe you forgot to increment the Release number, even though you used it in the changelog.

Thank you for your work!

Comment 4 Ralph Bean 2016-04-05 18:17:09 UTC
Good catch!  Bumped and built here:  http://koji.fedoraproject.org/koji/taskinfo?taskID=13567068


Note You need to log in before you can comment on or make changes to this bug.